<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 1;
$toolId = 55;

$objsettings = ToolSettingsAPI::getToolSettings($toolId);
$settingsArray = array();

$setting = new Setting();
$setting->name = 'datensaetzeproseite';
$setting->description = 'Angezeigte Dozenten pro Seite';
$setting->help = '';
$setting->subGroup = 'Dozentenübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 4;
$setting->config->maxLength = 4;
$setting->config->allowNegative = false;
$setting->config->HasIncrDecr = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortdoz';
$setting->description = 'Sortierung der Dozenten';
$setting->help = '';
$setting->subGroup = 'Dozentenübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
    'nr' => 'nach Dozentennummer',
    'name' => 'nach Name'
    );
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortdozasc';
$setting->description = 'Sortierkriterium auf- oder absteigend';
$setting->help = '';
$setting->subGroup = 'Dozentenübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
    '1' => 'aufsteigend',
    '' => 'absteigend'
);
array_push($settingsArray, $setting);


if (defined('ADMIN_SHOW_PAGE')) {
  $dbwKennz = DBWorkKennz::getDefaultInstance();
  $kennzListe = $dbwKennz->getAllKennzeichen();
  $kennzarr = array('-' => '--- Kennzeichen auswählen ---');
  foreach ($kennzListe as $kennz) {
    $kennzarr[$kennz->kennz] = \CleanOperations::cleanStringForHtml($kennz->kennz . ' - ' . $kennz->text);
  }
} else {
  $kennzarr = array();
}

$setting = new Setting();
$setting->name = 'nurDozentenMitKennzeichen';
$setting->description = 'Nur Dozenten mit folgendem Kennzeichen anzeigen';
$setting->help = 'Es werden nur Dozenten mit dem ausgewählten Kennzeichen angezeigt. Ist kein spezielles Kennzeichen ausgewählt, so werden alle Dozenten angezeigt. ';
$setting->subGroup = 'Dozentenübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = $kennzarr;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'inaktiveDozentenAusblenden';
$setting->description = 'Inaktive Dozenten ausblenden';
$setting->subGroup = 'Dozentenübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'verstorbeneDozentenAusblenden';
$setting->description = 'Verstorbene Dozenten ausblenden';
$setting->subGroup = 'Dozentenübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'doztyp';
$setting->description = 'Einschränkung der Dozenten auf ihren Typ';
$setting->help = 'Wenn kein Typ angegeben ist, dann werden Dozenten aller Typen angezeigt.';
$setting->subGroup = 'Dozentenübersicht';
$setting->toolId = $toolId;
$setting->config->separator = '';
$setting->config->loadConfiguration(SC_MULTISELECT);
$dbhldoztyp = new DBWorkHLDozTyp();
$hltypAry = $dbhldoztyp->getAll();
$setting->config->items['-'] = 'Kein Typ';
foreach ($hltypAry as $hltyp) {
  if (!$hltyp->ohne_anz) {
    $setting->config->items[$hltyp->typ] = 'Typ <b>'
        . \CleanOperations::cleanStringForHtml($hltyp->text)
        . ' (' . \CleanOperations::cleanStringForHtml($hltyp->typ) . ')</b>';
  }
}

array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dozentenUebersichtAlsTabelle';
$setting->description = 'Stelle Dozenten als Tabelle statt Panels dar';
$setting->help = '';
$setting->subGroup = 'Dozentenübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'nurKennzeichenVonDozenten';
$setting->description = 'Nur Kennzeichen mit mindestens einem zugewiesenen Dozenten anzeigen';
$setting->help = 'Es werden nur Kennzeichen angezeigt, die bereits einem Dozenten zugewiesen wurden. ';
$setting->subGroup = 'Filter';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);